| Home | Libraries | People | FAQ | More

## Struct template address_of

boost::proto::address_of — A metafunction for generating address_of expression types, a grammar element for matching address_of expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    template<typename T>
    struct address_of :  proto::transform< address_of<T> > {
      // types
      typedef proto::expr< proto::tag::address_of, proto::list1< T > > type;
      typedef type                                                     proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<address_of>::template impl<Expr, State, Data>
      {
      };
    };

## Description